Summary: User-space control program for the arptables network filter
Name:    arptables_jf
Version: 0.0.8
Release: 36%{?dist}.frank.1
License: GPLv2+
Group:   System Environment/Base

# There's no Url tag here because there's no upstream.
Source0:  %{name}-%{version}.tbz
Source1: arptables.service
Source2: arptables-helper

Patch1: arptables_jf-0.0.8-2.6-kernel.patch
Patch2: arptables_jf-0.0.8-man.patch
Patch3: arptables_jf-0.0.8-warnings.patch
Patch4: arptables_jf-0.0.8-header.patch
Patch5: arptables_jf-0.0.8-mangle.patch
Patch6: arptables_jf-0.0.8-byteorder.patch
Patch7: arptables_jf-0.0.8-options.patch
Patch1005: arptables_jf-0.0.8-initscript.patch

Requires(post): chkconfig
Requires(postun): chkconfig

%description
The arptables_jf utility controls the arpfilter network packet filtering
code in the Linux kernel.  You do not need this program for normal
network firewalling.  If you need to manually control which arp
requests and/or replies this machine accepts and sends, you should
install this package.

Arptables_jf is a fork of arptables from ebtables.sourceforge.net
written by Jay Fenlason.

%prep
%setup -q
%patch1 -p1 -b .2.6-kernel
%patch2 -p1 -b .man
%patch3 -p1 -b .warnings
%patch4 -p1 -b .header
%patch5 -p1 -b .mangle
%patch6 -p1 -b .byteorder
%patch7 -p1 -b .options
%patch1005 -p1 -b .initscript

%build
make all 'COPT_FLAGS=%{optflags} -fno-strict-aliasing' %{_smp_mflags}

%install
make install DESTDIR=%{buildroot} BINDIR=%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
echo '#Configure prior to use' > %{buildroot}%{_sysconfdir}/sysconfig/arptables

%post
/sbin/chkconfig --add arptables_jf

%preun
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del arptables_jf
fi


%files
%{_sbindir}/arptables*
%{_mandir}/*/arptables*
%attr(0755,root,root) /etc/rc.d/init.d/arptables_jf
%config(noreplace) %{_sysconfdir}/sysconfig/arptables

%changelog
* Sun Aug 04 2013 Jiri Popelka <jpopelka@redhat.com> - 0.0.8-36
- BuildRequires: systemd due to  %%{_unitdir}

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 15 2013 Jiri Popelka <jpopelka@redhat.com> - 0.0.8-34
- make option -x work together with -L (#963209)

* Mon May 13 2013 Jiri Popelka <jpopelka@redhat.com> - 0.0.8-33
- add to man page that --mangle-hw-s/--mangle-hw-d need also --arhln
- removed triggerun scriptlet

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 08 2013 Jiri Popelka <jpopelka@redhat.com> - 0.0.8-31
- arptables-save was swapping bytes in the arpop (#891769)

* Wed Nov 28 2012 Jiri Popelka <jpopelka@redhat.com> - 0.0.8-30
- /usr move: use _sbindir macro
- removed unused initscript.patch

* Wed Aug 22 2012 Jiri Popelka <jpopelka@redhat.com> - 0.0.8-29
- use new systemd-rpm macros (#850031)

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 18 2012 Jiri Popelka <jpopelka@redhat.com> - 0.0.8-27
- install arptables-helper into /usr/libexec
- fix more compilation warnings

* Wed May 16 2012 Jiri Popelka <jpopelka@redhat.com> - 0.0.8-26
- no need to Buildrequire perl (#225255)
- improved description
- No need to define BuildRoot and clean it in clean and install section anymore.
- %%defattr no longer needed in %%files sections.

* Fri May 11 2012 Jon Ciesla <limburgher@gmail.com> - 0.0.8-25
- Migrate to systemd, BZ 754423.

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 21 2011 Jiri Skala <jskala@redhat.com> - 0:0.0.8-23
- removed double --arhln optin of -h printout

* Tue Mar 29 2011 Jiri Skala <jskala@redhat.com> - 0:0.0.8-22
- fixes #663655 - arptables(8) man page correction

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 20 2010 Jiri Skala <jskala@redhat.com> - 0:0.0.8-20
- corrected NVR against F13

* Thu Mar 25 2010 Jiri Skala <jskala@redhat.com> - 0:0.0.8-19
- fixes #544291 - Symbolic input of 16-bit fields argument are byte-swapped on little-endian machines
- fixed #544286 - No way to mangle an hardware address

* Thu Jan 28 2010 Jiri Skala <jskala@redhat.com> - 0.0.8-18
- fixes init scritpt to be lsb compliant (#225255)

* Fri Jan 22 2010 Jiri Skala <jskala@redhat.com> - 0.0.8-17
- moved header patch from sources to cvs
- fixes merge review findings #225255

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:0.0.8-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 16 2009 Jiri Skala <jskala@redhat.com> - 0:0.0.8-15
- replaced config directive before arptables_jf init script 

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:0.0.8-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.0.8-13
- fix license tag
- drop conflicts

* Thu Apr 03 2008 Martin Nagy <mnagy@redhat.com> - 0.0.8-12
- compile with proper CFLAGS
- add %%{_smp_mflags}

* Mon Feb 25 2008 Martin Nagy <mnagy@redhat.com> - 0.0.8-11
- fix init script (#237778)
- add LSB header (#246868)

* Mon Feb 11 2008 Martin Nagy <mnagy@redhat.com> - 0.0.8-10
- rebuild for gcc-4.3

* Wed Aug 29 2007 Maros Barabas <mbarabas@redhat.com> - 0:0.0.8-9
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0:0.0.8-8
- rebuild
- Add patch to not include linux/compiler.h
- Remove br on glibc-kernheaders, part of the build-env.

* Fri May 26 2006 Jay Fenlason <fenlason@redhat.com> 0:0.0.8-7
- Add warnings patch to close
  bz#191688 arptables_jf fails to build in mock

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0:0.0.8-6.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0:0.0.8-6.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Aug 18 2005 Florian La Roche <laroche@redhat.com>
- change the requires into a conflicts for "kernel"

* Thu Jun 9 2005 Jay Fenlason <fenlason@redhat.com> 0.0.8-5
- add -man patch to correct the names of the default tables.
  bz#123089 aptables man pages is not correct: built in chain name are wrong.

* Tue Mar 8 2005 Jay Fenlason <fenlason@redhat.com> 0.0.8-4
- rebuilt with gcc4

* Fri Nov 26 2004 Florian La Roche <laroche@redhat.com>
- add a %%clean target into .spec

* Tue Aug 31 2004 Jay Fenlason <fenlason@redhat.com> 0.0.8-2
- backport latest version from 3E branch.
- Add 2.6-kernel patch, since glibc_kernheaders has incorrect
  arptables headers for the 2.6 kernel.

* Mon Jul 7 2003 Jay Fenlason <fenlason@redhat.com> 0.0.2-0
- first attempt at a packaged version of arptables_jf, for
  cambridge.
